#
# spec file for package gnome-mount (Version 0.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-x11 desktop-translations diffutils eel eel-devel eel-lang esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc42 gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-desktop-lang gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-menus gnome-menus-devel gnome-menus-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool iso-codes keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libbeagle libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcroco libdaemon libdb-4_5 libdrm libexif libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeprint libgnomeprint-lang libgnomeprintui libgnomeprintui-lang libgnomesu libgnomesu-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libgsf libjpeg libjpeg-devel libltdl-3 libmudflap42 libnotify libnotify-devel libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 librsvg libsexy libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libwnck libwnck-1-22 libwnck-lang libxcrypt libxml2 libxml2-devel libzio licenses linux-kernel-headers m4 make man mktemp nautilus nautilus-devel nautilus-lang ncurses net-tools netcfg notification-daemon notification-daemon-lang nss-mdns openldap2-client openssl-certs orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils python rpm sed setserial sqlite startup-notification startup-notification-devel sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gnome-mount
BuildRequires:  eel-devel fdupes intltool libglade2-devel libnotify-devel nautilus-devel perl-XML-Parser update-desktop-files
Version:        0.6
Release:        30.2
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        The GNOME Mount Program
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
Patch:          gnome-mount-old-hal.patch
Patch1:         gnome-mount-hal-version.patch
# PATCH-FIX-UPSTREAM gnome-mount-default-mount-options.patch bnc334591 bgo487547 jpr@novell.com
Patch2:         gnome-mount-default-mount-options.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
Provides:       %{name}-devel = %{version}-%{release}
%gconf_schemas_prereq

%description
The GNOME Volume Manager monitors volume-related events and responds
using a user-specified policy.	The GNOME Volume Manager can automount
hotplugged drives, automount inserted removable media, autorun
programs, automatically play audio CDs and video DVDs, and
automatically import photos from a digital camera.  The GNOME Volume
Manager does this entirely in userspace and without polling.

The GNOME Volume Manager sits at the top end of a larger picture that
aims to integrate the Linux system from the kernel on up through the
desktop and its applications.



Authors:
--------
    David Zeuthen <davidz@redhat.com>

%lang_package
%debug_package
%prep
%setup -q
%if %suse_version < 1020
%patch
%else
%patch1
%endif
%patch2

%build
autoreconf -f -i
# FIXME: Build as root modifies system!
#   gnome-mount-0.5: --disable-schemas-install is not implemented.
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
rm $RPM_BUILD_ROOT%{_libdir}/*/*/*.*a
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_bindir}/*
%{_datadir}/gnome-mount
%{_libdir}/nautilus/extensions-1.0/*.so
%{_libdir}/pkgconfig/gnome-mount.pc
%doc %{_mandir}/man1/gnome-mount*.*

%files lang -f %{name}.lang

%changelog
* Fri Dec 14 2007 - jpr@suse.de
- Default to 'utf8' option for vfat devices (#337615)
- Default to 'flush' for vfat devices (#334591)
* Wed Aug 08 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Wed Aug 01 2007 - jpr@suse.de
- Update to 0.6
- Default to shortname=lower for vfat (BGO #390201)
- Better handling of NTFS (BGO #394947)
- Get rid of libgnomeui dependency
- Reduce build requires
- Remove upstreamed patch
* Tue Jul 24 2007 - sbrabec@suse.cz
- Accept hal-storage version 0.5.8_git200704021230 in factory.
* Thu Jul 19 2007 - sbrabec@suse.cz
- Patched for builds with older HAL version.
* Tue Dec 19 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 21 2006 - aj@suse.de
- Reduce BuildRequires.
- Fix build warnings.
* Tue Nov 21 2006 - jpr@suse.de
-update to 0.5:
  -use mount(1) for volumes mentioned in /etc/fstab (#215392, #222627)
  -fixes for Solaris (Artem Kachitchkine)
  -read mount point and settings from gconf
  -man page for the terminal obsessive
  -extension for Nautilus
  -notifications for volumes taking a long time to unmount
  -translation updates
* Mon Sep 04 2006 - ro@suse.de
- fix one place with a function missing a return value
* Thu Aug 31 2006 - fejj@suse.de
- New package
